print/py-weasyprint0 - The NetBSD Packages Collection

Converts HTML/CSS documents to PDF (Python 2.x version)

WeasyPrint is a visual rendering engine for HTML and CSS that can
export to PDF. It aims to support web standards for printing.
WeasyPrint is free software made available under a BSD license.

It is based on various libraries but not on a full rendering engine
like WebKit or Gecko. The CSS layout engine is written in Python,
designed for pagination, and meant to be easy to hack on.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

devel/pango converters/py27-cairosvg graphics/py-cairocffi devel/py-cffi textproc/py27-cssselect2 textproc/py-html5lib textproc/py-pdfrw textproc/py27-pyphen textproc/py27-tinycss2 devel/py-setuptools44 lang/python27 lang/python27

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfpy27-weasyprint-0.42.3.tgz
NetBSD 8.0earmv7hfpy27-weasyprint-0.42.3.tgz
NetBSD 8.0i386py27-weasyprint-0.42.3.tgz
NetBSD 8.0i386py27-weasyprint-0.42.3.tgz
NetBSD 8.0i386py27-weasyprint-0.42.3.tgz
NetBSD 8.0powerpcpy27-weasyprint-0.42.3.tgz
NetBSD 8.0powerpcpy27-weasyprint-0.42.3.tgz
NetBSD 8.0powerpcpy27-weasyprint-0.42.3.tgz
NetBSD 8.0powerpcpy27-weasyprint-0.42.3.tgz
NetBSD 8.0x86_64py27-weasyprint-0.42.3.tgz
NetBSD 8.0x86_64py27-weasyprint-0.42.3.tgz
NetBSD 8.0x86_64py27-weasyprint-0.42.3.tgz
NetBSD 9.0aarch64py27-weasyprint-0.42.3.tgz
NetBSD 9.0aarch64py27-weasyprint-0.42.3.tgz
NetBSD 9.0aarch64py27-weasyprint-0.42.3.tgz
NetBSD 9.0alphapy27-weasyprint-0.42.3.tgz
NetBSD 9.0alphapy27-weasyprint-0.42.3.tgz
NetBSD 9.0alphapy27-weasyprint-0.42.3.tgz
NetBSD 9.0earmv6hfpy27-weasyprint-0.42.3.tgz
NetBSD 9.0earmv6hfpy27-weasyprint-0.42.3.tgz
NetBSD 9.0earmv6hfpy27-weasyprint-0.42.3.tgz
NetBSD 9.0earmv6hfpy27-weasyprint-0.42.3.tgz
NetBSD 9.0earmv7hfpy27-weasyprint-0.42.3.tgz
NetBSD 9.0earmv7hfpy27-weasyprint-0.42.3.tgz
NetBSD 9.0earmv7hfpy27-weasyprint-0.42.3.tgz
NetBSD 9.0earmv7hfpy27-weasyprint-0.42.3.tgz
NetBSD 9.0earmv7hfpy27-weasyprint-0.42.3.tgz
NetBSD 9.0i386py27-weasyprint-0.42.3.tgz
NetBSD 9.0i386py27-weasyprint-0.42.3.tgz
NetBSD 9.0i386py27-weasyprint-0.42.3.tgz
NetBSD 9.0mips64ebpy27-weasyprint-0.42.3.tgz
NetBSD 9.0mips64ebpy27-weasyprint-0.42.3.tgz
NetBSD 9.0mips64ebpy27-weasyprint-0.42.3.tgz
NetBSD 9.0powerpcpy27-weasyprint-0.42.3.tgz
NetBSD 9.0powerpcpy27-weasyprint-0.42.3.tgz
NetBSD 9.0powerpcpy27-weasyprint-0.42.3.tgz
NetBSD 9.0powerpcpy27-weasyprint-0.42.3.tgz
NetBSD 9.0sparc64py27-weasyprint-0.42.3.tgz
NetBSD 9.0sparc64py27-weasyprint-0.42.3.tgz
NetBSD 9.0sparc64py27-weasyprint-0.42.3.tgz
NetBSD 9.0sparcpy27-weasyprint-0.42.3.tgz
NetBSD 9.0x86_64py27-weasyprint-0.42.3.tgz
NetBSD 9.0x86_64py27-weasyprint-0.42.3.tgz
NetBSD 9.0x86_64py27-weasyprint-0.42.3.tgz
NetBSD 9.0x86_64py27-weasyprint-0.42.3.tgz
NetBSD 9.0x86_64py27-weasyprint-0.42.3.tgz
NetBSD 9.0x86_64py27-weasyprint-0.42.3.tgz
NetBSD 9.0x86_64py27-weasyprint-0.42.3.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.